Bug 12374 - Printer/Sharename caching uses incorrect timeout
Printer/Sharename caching uses incorrect timeout
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
4.5.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-12 09:24 UTC by Guenther Deschner
Modified: 2016-10-25 07:53 UTC (History)
3 users (show)

See Also:


Attachments
Patch (1.56 KB, patch)
2016-10-14 10:43 UTC, Volker Lendecke
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2016-10-12 09:24:10 UTC
"time_mono() gives seconds since boot, gencache expects seconds since epoch. With time_mono(), the values are always expired immediately."
Comment 1 Volker Lendecke 2016-10-14 10:43:55 UTC
Created attachment 12575 [details]
Patch

Applies cleanly to 4.5, 4.4 and 4.3
Comment 2 Guenther Deschner 2016-10-14 10:44:42 UTC
Comment on attachment 12575 [details]
Patch

LGTM
Comment 3 Guenther Deschner 2016-10-14 10:45:27 UTC
Karolin, please add to 4.5 and 4.4. Thanks!
Comment 4 Karolin Seeger 2016-10-19 06:54:19 UTC
(In reply to Guenther Deschner from comment #3)
Pushed to autobuild-v4-{5,4,3}-test.
There will be another 4.3 bugfix release, so added this to 4.3, also. Objections?
Comment 5 Karolin Seeger 2016-10-25 07:53:00 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to all branches.
Closing out bug report.

Thanks!